Skip to main content
PUT
Set collection products
OAuth scope: offer_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

OAuth 2.0 access token, sent as Authorization: Bearer <token>. See https://docs.fourthwall.com/guides/oauth. The scopes an operation requires are listed in its x-fourthwall-scopes.

Path Parameters

collectionId
string
required

Body

application/json

Request to set the products in a collection

offerIds
string<uuid>[]
required

Full list of product IDs to set in the collection

Response

OK

id
string
required
Example:

"col_b1EVARkUTcCTSfspQaXr1Q"

shopId
string
required
Example:

"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"

name
string
required
Example:

"My collection"

slug
string
required
Example:

"my-collection"

description
string
required
Example:

"My collection description"

available
boolean
required
state
Archived · object
required

Archived collection state

offerIds
string<uuid>[]
required